# This should be pushed to tainted as per Mageia's policy on emulators

%define debug_package %{nil}

Name:             m64py
Version:          0.2.3
%define subrel    1
Release:          %mkrel 10
Summary:          A Qt5 frontend for Mupen64Plus
License:          GPLv3
Group:            Emulators
Url:              http://m64py.sourceforge.net
Source:           http://sourceforge.net/projects/m64py/files/%{name}-%{version}/%{name}-%{version}.tar.gz
# Upstream patches: https://github.com/mupen64plus/mupen64plus-ui-python
Patch0:           m64py-git-UnicodeDecodeError-corrected.patch
Patch1:           m64py-git-fix-QKeySequence-crash.patch
Patch2:           m64py-git-Assign-input-values-from-button-widget-text.patch

BuildRequires:    python3-qt5-devel
BuildRequires:    python3-sip
Requires:         %{_lib}mupen64plus2 >= 2.0
Requires:         %{_lib}sdl2.0_0
Requires:         mupen64plus >= 2.0
Requires:         python3-opengl
Requires:         python3-qt5
Requires:         python3-sip

%description
M64Py is a Qt5 front-end (GUI) for Mupen64Plus 2.0, a cross-platform
plugin-based Nintendo 64 emulator. The front-end is written in Python
and it provides a user-friendly interface over Mupen64Plus shared library.

%prep
%setup -q
%autopatch -p1

# remove shebang from non-executable scripts
for i in src/m64py/SDL/*.py; do
  sed -i '1{\@^#!/usr/bin/env python@d}' $i
done

%build
%py3_build

%install
%py3_install

%files
%doc AUTHORS ChangeLog COPYING LICENSES PKG-INFO README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Jul 27 2019 daviddavid <daviddavid> 0.2.3-10.1.mga7
+ Revision: 1424582
- main mupen64plus package is also needed (mga#24160#c4)

* Wed Jan 09 2019 daviddavid <daviddavid> 0.2.3-10.mga7.tainted
+ Revision: 1353105
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-9.mga7.tainted
+ Revision: 1279306
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 daviddavid <daviddavid> 0.2.3-8.mga7.tainted
+ Revision: 1138921
- rebuild for new Python 3.6

* Mon Jun 27 2016 akien <akien> 0.2.3-7.mga6.tainted
+ Revision: 1037864
- Rebuild in tainted/release

* Sat Jun 25 2016 akien <akien> 0.2.3-6.mga6.tainted
+ Revision: 1037617
- Rebuild in tainted as it should be

* Sat Jun 25 2016 akien <akien> 0.2.3-5.mga6
+ Revision: 1037589
- Disable debuginfo, it is a noarch package forced to be arch-dependent
- Rebuild for python-sip 4.18
- No longer noarch, as it needs to require {lib,lib64}sdl2

* Sat Apr 23 2016 akien <akien> 0.2.3-4.mga6.tainted
+ Revision: 1005692
- Add some upstream bugfix patches

* Sat Jan 09 2016 akien <akien> 0.2.3-3.mga6.tainted
+ Revision: 920853
- Add python3-opengl and python3-sip requires

* Mon Jan 04 2016 akien <akien> 0.2.3-2.mga6.tainted
+ Revision: 919380
- Use new python macros

* Mon Jan 04 2016 akien <akien> 0.2.3-1.mga6.tainted
+ Revision: 919375
- Version 0.2.3 (obsoletes P0 and P1)
- Switch to Qt5 and python 3 build

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5.tainted
+ Revision: 739664
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.1-4.mga5.tainted
+ Revision: 727064
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-3.mga5.tainted
+ Revision: 682116
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 akien <akien> 0.2.1-2.mga5.tainted
+ Revision: 633180
- Remove provides on mupen64plus-ui (might be readded if other frontends are packaged)

* Wed Jun 04 2014 akien <akien> 0.2.1-1.mga5.tainted
+ Revision: 633170
- Require SDL2 instead of SDL (both are supported)
- import source RPM based off an OpenSUSE SRPM

